> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show All Entities for a specific program

> Shows all entities for a given program ID,
     *          with various filtering, sorting, and pagination options.



## OpenAPI

````yaml get /admin/entities/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entities/{program_id}:
    get:
      tags:
        - Entities
      summary: Show All Entities for a specific program
      description: |-
        Shows all entities for a given program ID,
             *          with various filtering, sorting, and pagination options.
      operationId: 95f86b61a6b27fb797b600757364e483
      parameters:
        - name: program_id
          in: path
          description: Program ID to fetch entities for
          required: true
          schema:
            type: integer
        - name: filter
          in: query
          description: Filter parameter
          required: true
          schema:
            type: string
            example: 'false'
      responses:
        '200':
          description: Entities fetched successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                  length:
                    type: integer
                  filter:
                    type: string
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: 'Error: Program Id is Null.'
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````